// SI008Doc.h : interface of the CSI008Doc class
//


#pragma once

class CSI008Doc : public CDocument
{
protected: // create from serialization only
	CSI008Doc();
	DECLARE_DYNCREATE(CSI008Doc)

// Attributes
public:
	DWORD m_dwFrame;
	enum LiveStatus{Run, Stop}m_Status;
// Operations
public:

// Implementation
public:
	virtual ~CSI008Doc();

protected:
	BOOL m_CaptureInitialized;
	CString m_strConfigFile;
	SIU_Config m_Config;
	int m_iCamID;
	SIU_CaptureContext m_CapCxt;
	BOOL m_bStopLiveFlag;
	HANDLE m_hLiveThread;	
	static DWORD WINAPI LiveThreadFunc(LPVOID pParam);
	SIPoint m_dpclist[10000];
	int m_DPCNum;
	BOOL InitCapture();
	void EndCapture();
	void ShowImage(const SIPackedDIB * pPackedDIB);
// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnActionConfig();
	afx_msg void OnActionSnap();
	afx_msg void OnActionLivestart();
	afx_msg void OnActionLivestop();
	afx_msg void OnBlackreferenceGrab();
	afx_msg void OnBlackreferenceSave();
	afx_msg void OnBlackreferenceLoad();
	afx_msg void OnFileSave();
	virtual void OnCloseDocument();
	afx_msg void OnActionDPCGrabApply();
	afx_msg void OnActionChangeGain();
	afx_msg void OnActionChangeGainB();
};


