// SI008View.h : interface of the CSI008View class
//


#pragma once


class CSI008View : public CView
{
protected: // create from serialization only
	CSI008View();
	DECLARE_DYNCREATE(CSI008View)

// Attributes
public:
	CSI008Doc* GetDocument() const;

// Operations
public:
	void ShowImage(const SIPackedDIB * pPackedDIB);

// Overrides
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementation
public:
	virtual ~CSI008View();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in SI008View.cpp
inline CSI008Doc* CSI008View::GetDocument() const
   { return reinterpret_cast<CSI008Doc*>(m_pDocument); }
#endif

